atk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Atk.Object Atk.IAction Atk.IComponent Atk.IDocument Atk.IEditableText Atk.IHypertext Atk.IImage Atk.ISelection Atk.ITable Atk.IText Atk.IValue An which purports to implement all Atk interfaces. It is the type of which is created if an accessible object is requested for an object type for which no factory type is specified.
- Constructor
  an object of type
  Creates a new instance.
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  System.UInt32 `` an object of type To be added an object of type To be added
- Method
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Double To be added. To be added. To be added.
- Method
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  Atk.Attribute[] To be added. To be added. To be added.
- Event
  GLib.Signal("bounds_changed")
  Atk.BoundsChangedHandler To be added To be added
- Property
  Atk.Object To be added an object of type To be added
- Property
  System.Int32 To be added an object of type To be added
- Property
  System.Int32 To be added an object of type To be added
- Method
  System.Boolean To be added an object of type To be added
- Event
  GLib.Signal("column_deleted")
  Atk.ColumnDeletedHandler To be added To be added
- Event
  GLib.Signal("column_inserted")
  Atk.ColumnInsertedHandler To be added To be added
- Event
  GLib.Signal("column_reordered")
  System.EventHandler To be added To be added
- Method
  System.Boolean `` `` `` an object of type an object of type an object of type To be added an object of type To be added
- Method
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  System.Void `` `` an object of type an object of type To be added To be added
- Property
  Atk.Attribute[] To be added an object of type To be added
- Method
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  System.Boolean `` an object of type To be added an object of type To be added
- Property
  System.String To be added. To be added. To be added.
- Method
  System.String `` To be added. To be added. To be added. To be added.
- Method
  Atk.TextRange `` `` `` `` a a a a To be added a To be added
- Method
  System.Char `` position Gets the specified text. the character at .
- Method
  System.Void `` `` `` `` `` `` a a a a a a To be added To be added
- Method
  System.Int32 `` a To be added a To be added
- Method
  System.String `` an object of type To be added an object of type To be added
- Method
  System.Int32 `` `` an object of type an object of type To be added an object of type To be added
- Method
  Atk.Object `` an object of type To be added an object of type To be added
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.String `` an object of type To be added an object of type To be added
- Method
  System.Void `` `` `` `` `` a a a a a To be added To be added
- Method
  System.Void `` `` `` a a a To be added To be added
- Method
  System.Void `` `` a a To be added To be added
- Method
  System.Int32 `` `` an object of type an object of type To be added an object of type To be added
- Method
  System.String `` an object of type To be added an object of type To be added
- Method
  Atk.Hyperlink `` a To be added a To be added
- Method
  System.Int32 `` a To be added a To be added
- Method
  System.String `` a To be added a To be added
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.String `` an object of type To be added an object of type To be added
- Method
  System.Int32 `` `` `` an object of type an object of type an object of type To be added an object of type To be added
- Method
  System.Void `` `` `` a a a To be added To be added
- Method
  Atk.TextRectangle `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Int32 `` a To be added a To be added
- Method
  System.String `` an object of type To be added an object of type To be added
- Method
  System.Int32 `` `` an object of type an object of type To be added an object of type To be added
- Method
  Atk.Object `` an object of type To be added an object of type To be added
- Method
  Atk.Attribute[] `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Int32 `` a To be added a To be added
- Method
  System.Int32 `` a To be added a To be added
- Method
  System.String `` `` `` a a a To be added a To be added
- Method
  System.Void `` `` a a To be added To be added
- Method
  System.String `` `` an object of type an object of type To be added an object of type To be added
- Method
  System.String `` `` `` `` a a a a To be added a To be added
- Method
  System.String `` `` `` `` a a a a To be added a To be added
- Method
  System.String `` `` `` `` a a a a To be added a To be added
- Method
  System.Boolean To be added an object of type To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  System.String To be added an object of type To be added
- Property
  System.String To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  System.Boolean `` `` an object of type an object of type To be added an object of type To be added
- Property
  Atk.Layer To be added an object of type To be added
- Event
  GLib.Signal("link_selected")
  Atk.LinkSelectedHandler To be added To be added
- Event
  GLib.Signal("load_complete")
  System.EventHandler To be added. To be added.
- Event
  GLib.Signal("load_stopped")
  System.EventHandler To be added. To be added.
- Property
  System.String To be added. To be added. To be added.
- Property
  System.Int32 To be added an object of type To be added
- Event
  GLib.Signal("model_changed")
  System.EventHandler To be added To be added
- Property
  System.Int32 To be added an object of type To be added
- Property
  System.Int32 To be added an object of type To be added
- Property
  System.Int32 To be added a To be added
- Property
  System.Int32 To be added an object of type To be added
- Property
  System.Int32 To be added an object of type To be added
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideBoundsChanged", Type=typeof(Atk.NoOpObject))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideColumnDeleted", Type=typeof(Atk.NoOpObject))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideColumnInserted", Type=typeof(Atk.NoOpObject))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideColumnReordered", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLinkSelected", Type=typeof(Atk.NoOpObject))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLoadComplete", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLoadStopped", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideModelChanged", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideReload", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowDeleted", Type=typeof(Atk.NoOpObject))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowInserted", Type=typeof(Atk.NoOpObject))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRowReordered", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSelectionChanged", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextAttributesChanged", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextCaretMoved", Type=typeof(Atk.NoOpObject))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextChanged", Type=typeof(Atk.NoOpObject))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextSelectionChanged", Type=typeof(Atk.NoOpObject))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` an object of type To be added To be added
- Method
  Atk.Object `` `` `` an object of type an object of type an object of type To be added an object of type To be added
- Method
  Atk.Object `` `` an object of type an object of type To be added an object of type To be added
- Method
  Atk.Object `` an object of type To be added an object of type To be added
- Event
  GLib.Signal("reload")
  System.EventHandler To be added. To be added.
- Method
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  System.Void `` an object of type To be added To be added
- Method
  System.Boolean `` an object of type To be added an object of type To be added
- Event
  GLib.Signal("row_deleted")
  Atk.RowDeletedHandler To be added To be added
- Event
  GLib.Signal("row_inserted")
  Atk.RowInsertedHandler To be added To be added
- Event
  GLib.Signal("row_reordered")
  System.EventHandler To be added To be added
- Method
  System.Boolean To be added an object of type To be added
- Event
  GLib.Signal("selection_changed")
  System.EventHandler To be added To be added
- Property
  System.Int32 To be added an object of type To be added
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  System.Boolean `` `` an object of type an object of type To be added an object of type To be added
- Method
  System.Boolean `` `` `` `` `` an object of type an object of type an object of type an object of type an object of type To be added an object of type To be added
- Method
  System.Boolean `` an object of type To be added an object of type To be added
- Method
  System.Boolean `` `` `` an object of type an object of type an object of type To be added an object of type To be added
- Method
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  System.Boolean `` `` `` an object of type an object of type an object of type To be added an object of type To be added
- Method
  System.Boolean `` `` `` an object of type an object of type an object of type To be added an object of type To be added
- Method
  System.Boolean `` `` an object of type an object of type To be added an object of type To be added
- Property
  Atk.Object To be added an object of type To be added
- Event
  GLib.Signal("text_attributes_changed")
  System.EventHandler To be added To be added
- Event
  GLib.Signal("text_caret_moved")
  Atk.TextCaretMovedHandler To be added To be added
- Event
  GLib.Signal("text_changed")
  Atk.TextChangedHandler To be added To be added
- Property
  System.String To be added an object of type To be added
- Event
  GLib.Signal("text_selection_changed")
  System.EventHandler To be added To be added
- Property
  System.IntPtr To be added. To be added. To be added.